Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.serverstub
Interface SecDNSSubDomainHandler

All Known Implementing Classes:
  SecDNSV10SubDomainHandler, SecDNSV11SubDomainHandler

    public interface SecDNSSubDomainHandler

Sub Domain Handler for use with the secDNS extension. This interface is used to support handling multiple versions of the secDNS extension, where each different version of the secDNS extension to implement this interface.

Method Summary
`EPPResponse` | `doDomainCreate(EPPDomainCreateCmd aCreateCommand, java.lang.Object aData)` Handle an EPP Domain Create Command.
`EPPDomainInfoResp` | `doDomainInfo(EPPDomainInfoCmd aInfoCommand, EPPDomainInfoResp aInfoResponse, java.lang.Object aData)` Handle an EPP Domain Info Command.
`EPPResponse` | `doDomainUpdate(EPPDomainUpdateCmd aUpdateCommand, java.lang.Object aData)` Handle an EPP Domain Update Command.

Method Detail

### doDomainCreate

    EPPResponse doDomainCreate(EPPDomainCreateCmd aCreateCommand,
                               java.lang.Object aData)

  Handle an EPP Domain Create Command.

  Parameters:
    `aCreateCommand` - Command sent by the client
    `aData` - Server data. This is assumed to be an instance of `SessionData`.
  Returns:
    An `EPPResponse` to be returned to the client. The transaction id (client and server) is not set.

### doDomainUpdate

    EPPResponse doDomainUpdate(EPPDomainUpdateCmd aUpdateCommand,
                               java.lang.Object aData)

  Handle an EPP Domain Update Command.

  Parameters:
    `aUpdateCommand` - Command sent by the client
    `aData` - Server data. This is assumed to be an instance of `SessionData`.
  Returns:
    An `EPPResponse` to be returned to the client. The transaction id (client and server) is not set.

### doDomainInfo

    EPPDomainInfoResp doDomainInfo(EPPDomainInfoCmd aInfoCommand,
                                   EPPDomainInfoResp aInfoResponse,
                                   java.lang.Object aData)

  Handle an EPP Domain Info Command.

  Parameters:
    `aInfoCommand` - Command sent by the client
    `aInfoResponse` - Response filled in without the secDNS extension.
    `aData` - Server data. This is assumed to be an instance of `SessionData`.
  Returns:
    An `EPPResponse` to be returned to the client. The transaction id (client and server) is not set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.